function love.load()
  love.window.setMode(640, 480, {resizable = false})
  sWater = love.graphics.newShader[[
    vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 screen_coords) {
      vec4 pixel = Texel(texture, texture_coords);
      if (pixel.a > 0.0) {              
        if ((pixel.r + pixel.g + pixel.b) > 1.5)
          return vec4(85.0/255.0, 1.0, 1.0, 1.0);
        else
          return vec4(0.0, 170.0/255.0, 170.0/255.0, 1.0);        
      }            
    }
  ]]
end

function love.draw()
  love.graphics.setShader(sWater)
  love.graphics.setColor(170, 0, 0, 255)
  love.graphics.circle("fill", 320, 240, 100, 100)
  love.graphics.setShader()  
end

function love.keypressed(k)
  if k=="escape" then love.event.quit() end          
end